Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkcLZSS.h File Reference

LZSS圧縮. More...

`#include "dkcOSIndependent.h"`

Include dependency graph for dkcLZSS.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | dkc_LZSS
struct | dkc_LZSS_Header
## Defines
#define | LZSS_RING_LENGTH 4096
| 環状バッファのマスク
#define | LZSS_RING_MASK (LZSS_RING_LENGTH-1)
| 最長一致長
#define | LZSS_LONGEST_MATCH 16
## Typedefs
typedef dkc_LZSS | DKC_LZSS
typedef dkc_LZSS_Header | DKC_LZSS_HEADER
## Functions
DKC_EXTERN DKC_LZSS *WINAPI | dkcAllocLZSS ()
DKC_EXTERN int WINAPI | dkcFreeLZSS (DKC_LZSS **)
DKC_EXTERN int WINAPI | dkcLZSSDecode (DKC_LZSS *ptr, DKC_LZSS_HEADER *ph, BYTE *dest, size_t dsize, const BYTE *src, size_t ssize)
DKC_EXTERN int WINAPI | dkcLZSSEncode (DKC_LZSS *ptr, DKC_LZSS_HEADER *ph, BYTE *dest, size_t dsize, const BYTE *src, size_t ssize)
DKC_EXTERN BOOL WINAPI | dkcLZSSIsLZSS (DKC_LZSS_HEADER *p)

## Detailed Description

LZSS圧縮.

Since:
  2004/04/20 Original:Lee Noriyuki / Reconstruction:d金魚

## Define Documentation

#define LZSS_LONGEST_MATCH 16

#define LZSS_RING_LENGTH 4096

| 環状バッファのマスク

#define LZSS_RING_MASK (LZSS_RING_LENGTH-1)

| 最長一致長

## Typedef Documentation

typedef struct dkc_LZSS DKC_LZSS

typedef struct dkc_LZSS_Header DKC_LZSS_HEADER

## Function Documentation

DKC_EXTERN DKC_LZSS* WINAPI dkcAllocLZSS | ( |  | ) |

DKC_EXTERN int WINAPI dkcFreeLZSS | ( | DKC_LZSS ** |  | ) |

DKC_EXTERN int WINAPI dkcLZSSDecode | ( | DKC_LZSS * | ptr,
|  | DKC_LZSS_HEADER * | ph,
|  | BYTE * | dest,
|  | size_t | dsize,
|  | const BYTE * | src,
|  | size_t | ssize
| ) |

  | Parameters:
  ptr[in][out] | dkcAllocLZSS()で取得したポインタ
  ph[out] | DKC_LZSS_HEADERへのポインタ
  dest[out] | デコードされたデータの書き出しバッファへのポインタ
  dsize[in] | destのサイズ
  src[in] | バッファへのポインタ
  ssize[in] | srcのサイズ
Returns: edk_Resultのどれかが返る。 Note: DKC_LZSS_HEADERのメンバのmOriginSizeよりdsizeが小さいとこの関数は失敗します。

DKC_EXTERN int WINAPI dkcLZSSEncode | ( | DKC_LZSS * | ptr,
|  | DKC_LZSS_HEADER * | ph,
|  | BYTE * | dest,
|  | size_t | dsize,
|  | const BYTE * | src,
|  | size_t | ssize
| ) |

  | Parameters:
  ptr[in][out] | dkcAllocLZSS()で取得したポインタ
  ph[out] | DKC_LZSS_HEADERへのポインタ
  dest[out] | LZSSで圧縮されたデータの書き出しバッファへのポインタ
  dsize[in] | destのサイズ
  src[in] | バッファへのポインタ
  ssize[in] | srcのサイズ
Returns: edk_Resultのどれかが返る。

DKC_EXTERN BOOL WINAPI dkcLZSSIsLZSS | ( | DKC_LZSS_HEADER * | p | ) |